Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.state.producer
Class PortletStatePersistenceManagerService

    java.lang.Object
      org.jboss.portal.portlet.impl.state.producer.PortletStatePersistenceManagerService

All Implemented Interfaces:
  PortletStatePersistenceManager

    public class PortletStatePersistenceManagerService

extends java.lang.Object
implements PortletStatePersistenceManager

An in memory implementation of the producer state persistence manager.

Version:
  $Revision: 7215 $
Author:
  Julien Viet

Constructor Summary
`PortletStatePersistenceManagerService()`

Method Summary
`java.lang.String` | `cloneState(java.lang.String stateId)` Clone an existing state.
`java.lang.String` | `cloneState(java.lang.String stateId, PropertyMap propertyMap)` Clone an existing state.
`java.lang.String` | `createState(java.lang.String portletId, PropertyMap propertyMap)` Create the initial state.
`void` | `destroyState(java.lang.String stateId)` Destroy the state.
`int` | `getSize()`
`PortletStateContext` | `loadState(java.lang.String stateId)` Load the state.
`void` | `updateState(java.lang.String stateId, PropertyMap propertyMap)` Update the state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletStatePersistenceManagerService

    public PortletStatePersistenceManagerService()

Method Detail

### loadState

    public PortletStateContext loadState(java.lang.String stateId)
                                  throws java.lang.IllegalArgumentException,
                                         NoSuchStateException,
                                         InvalidStateIdException

  Description copied from interface: `PortletStatePersistenceManager`
  Load the state.

  Specified by:
    `loadState` in interface `PortletStatePersistenceManager`
  Parameters:
    `stateId` - the state id
  Returns:
    the value map or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if the state id is null
    `NoSuchStateException` - is the specified state does not exist
    `InvalidStateIdException` - if the state id is not valid

### createState

    public java.lang.String createState(java.lang.String portletId,
                                        PropertyMap propertyMap)

  Description copied from interface: `PortletStatePersistenceManager`
  Create the initial state.

  Specified by:
    `createState` in interface `PortletStatePersistenceManager`
  Parameters:
    `portletId` - the id that this state refers to
  Returns:
    the id of the state created

### cloneState

    public java.lang.String cloneState(java.lang.String stateId,
                                       PropertyMap propertyMap)
                                throws NoSuchStateException,
                                       InvalidStateIdException

  Description copied from interface: `PortletStatePersistenceManager`
  Clone an existing state.

  Specified by:
    `cloneState` in interface `PortletStatePersistenceManager`
  Parameters:
    `stateId` - the id that this state refers to
    `propertyMap` - the values of the cloned state
  Returns:
    the state id
  Throws:
    `NoSuchStateException` - is the specified state does not exist
    `InvalidStateIdException` - if the state id is not valid

### cloneState

    public java.lang.String cloneState(java.lang.String stateId)
                                throws java.lang.IllegalArgumentException,
                                       NoSuchStateException,
                                       InvalidStateIdException

  Description copied from interface: `PortletStatePersistenceManager`
  Clone an existing state.

  Specified by:
    `cloneState` in interface `PortletStatePersistenceManager`
  Parameters:
    `stateId` - the id that this state refers to
  Returns:
    the state id
  Throws:
    `java.lang.IllegalArgumentException` - if the state id is null
    `NoSuchStateException` - is the specified state does not exist
    `InvalidStateIdException` - if the state id is not valid

### updateState

    public void updateState(java.lang.String stateId,
                            PropertyMap propertyMap)
                     throws NoSuchStateException,
                            InvalidStateIdException

  Description copied from interface: `PortletStatePersistenceManager`
  Update the state.

  Specified by:
    `updateState` in interface `PortletStatePersistenceManager`
    `propertyMap` - the updated state
  Throws:
    `NoSuchStateException` - is the specified state does not exist
    `InvalidStateIdException` - if the state id is not valid

### destroyState

    public void destroyState(java.lang.String stateId)
                      throws InvalidStateIdException,
                             NoSuchStateException

  Description copied from interface: `PortletStatePersistenceManager`
  Destroy the state.

  Specified by:
    `destroyState` in interface `PortletStatePersistenceManager`
  Throws:
    `InvalidStateIdException` - if the state id is not valid
    `NoSuchStateException` - is the specified state does not exist

### getSize

    public int getSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.